<?php
/**
 * Submission setting
 *
 * @package wp-viral-click
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;

$effect  = ' data-id="' . $this->widget->ID . '"';
$effect .= ' data-list="' . $st->getSetting( 'list', 0 ) . '"';
$effect .= ' data-redirect="' . $st->getSetting( 'submission_success_redirect', '' ) . '"';
$effect .= ' data-submission-success="' . 
							$st->getSetting( 'submission_success', 'message' ) . '"';

//Close
$mobile = $st->getSetting( 'submission_success_close', 'true' );
if ( $mobile == 'true' ) {
	$effect .= ' data-submission-close="1"';
} else {
	$effect .= ' data-submission-close="0"';
}
?>

<div class="ipjck-setting-submission"<?php echo $effect; ?>>
	<div class="ipjck-submission-message-success" style="display:none;">
		<?php echo $st->getSetting( 'submission_success_message', '' ); ?>
	</div>
	<div class="ipjck-submission-message-failed" style="display:none;">
		<?php echo $st->getSetting( 'submission_failed_message', '' ); ?>
	</div>
</div>